package com.jay.monitor.data.core.model.serializable.base;

/**
 * @Module 规则接口
 * @Description 错误数据信息
 * @Author liukaixiong
 * @Date 2021/1/19 10:00
 */
public interface ErrorInfoData {

    /**
     * 获取错误信息
     *
     * @param errorMessage
     */
    public void setErrorMessage(String errorMessage);

    /**
     * 获取错误信息
     *
     * @return
     */
    public String getErrorMessage();

    /**
     * 获取异常栈
     *
     * @param stackTrace
     */
    public void setErrorStackTrace(String stackTrace);

    /**
     * 获取错误异常栈
     *
     * @return
     */
    public String getErrorStackTrace();

}
